cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
bonnyrigger
Contributor
1,020 Views
Message 1 of 18

Nexus 5 and/or Kit Kat

My son just got a Nexus 5, went to install SmartTalk but the Play store says no (incompatible with your device). Any idea when Nexus 5 (or Kit Kat if that is the problem) will be supported?

 

Cheers

0 Ratings
Reply
17 REPLIES 17
MagicCottage
Aspiring Expert
998 Views
Message 2 of 18

Re: Nexus 5 and/or Kit Kat

I side loaded from my old phone to my Nexus 5. It works far better than it every did on my Xperia.
irco
Aspiring Contributor
945 Views
Message 3 of 18

Re: Nexus 5 and/or Kit Kat

I have a Nexus 5 and Smart Talk installed ok from Google Play and works fine. Then my daughter got a Nexus 5 and site is saying Smart Talk is incompatible with her device. Something strange going on, maybe one of the tech guys can explain the problem. I understand that Smart Talk received an update last Friday 29/11/13 and this may be what is causing the problem. It was installed on my Nexus 5 before that date but my daughter tried after that. It is still working fine on mine, but I didn't get the update.

0 Ratings
Reply
Community Manager
Community Manager
935 Views
Message 4 of 18

Re: Nexus 5 and/or Kit Kat

Hi Guys,

 

Thanks for posting.  Since the recent Smart Talk app update, the Nexus 5 is no longer supported.  We came across a few bugs when testing which meant running BT Smart Talk on the Nexus 5 with the new App, would have been a less than ideal experience for our customers so for the time being we are not offering the app on Nexus 5. 

 

We are working on a fix for this so that we can support this device in the future but at the moment we don’t have a date to share.  I will continue to work with the product team and the second we can have a date I will post an update here.

 

Thank you in advance for your patience.

 

Cheers

Sean

0 Ratings
Reply
MagicCottage
Aspiring Expert
927 Views
Message 5 of 18

Re: Nexus 5 and/or Kit Kat

In that case, I will hold onto the edition I have sideloaded, on which I made quite a few successful calls on my Nexus 5. Unless there is a major update, do I need to?

irco
Aspiring Contributor
915 Views
Message 6 of 18

Re: Nexus 5 and/or Kit Kat

Did the sideloader thingy, as highlighted by MagicCottage, to my daughters phone, set it up & works perfectly.

 

Many thanks to MagicCottage for showing this was possible.

0 Ratings
Reply
MagicCottage
Aspiring Expert
898 Views
Message 7 of 18

Re: Nexus 5 and/or Kit Kat

Only yoo pleased to help. As I've already commented, don't see the eneed to worry about minor updates either at this stage. It works and that's it for me!

0 Ratings
Reply
irco
Aspiring Contributor
891 Views
Message 8 of 18

Re: Nexus 5 and/or Kit Kat

Thanks again MagicCottage. Don't think updates will come through for an app that is not considered compatible with the device it is on + If aint broke don't fix it.. I didn't get it on my Nexus 5.

 

If anybody not sure about sideloading, do a Google search for - BT Smart Talk 1.25.5-HA This is the version that is compatible with the Nexus 5 and is available for free download on certain sites. Although I can't vouch for them as I sideloaded the .apk file from my phone to my daughters.

 

A google search for sideloading will also be of great help and probably the best bet if you know someone with the correct version on their phone.

The new version 1.28.6-HA is the one that is not compatible with Nexus 5.

 

0 Ratings
Reply
tracker1972
Beginner
822 Views
Message 9 of 18

Re: Nexus 5 and/or Kit Kat

Does this explain why the Nexus 4, a massively popular phone that had been around for ages, is also incompatible? Or is the issue with 4.4.2 version of Kit Kat?
0 Ratings
Reply
tracker1972
Beginner
817 Views
Message 10 of 18

Re: Nexus 5 and/or Kit Kat

And the Nexus 7? Not a phone but a very capable VoIP capable device with a data connection. Also on Kit Kat 4.4.2.

This at least I might expect to be more controversial, even though there is no real reason why not.
0 Ratings
Reply